Bug 802724 - [abrt] texmaker-3.2.2-1.fc16: QTextLine::cursorToX: Process /usr/bin/texmaker was killed by signal 11 (SIGSEGV)
Summary: [abrt] texmaker-3.2.2-1.fc16: QTextLine::cursorToX: Process /usr/bin/texmaker...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: texmaker
Version: 16
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:c96222721f418047772c17825c5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-13 10:52 UTC by Kerry
Modified: 2012-09-25 16:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-09-25 16:36:53 UTC


Attachments (Terms of Use)
File: dso_list (12.24 KB, text/plain)
2012-03-13 10:52 UTC, Kerry
no flags Details
File: environ (4.48 KB, text/plain)
2012-03-13 10:52 UTC, Kerry
no flags Details
File: build_ids (5.41 KB, text/plain)
2012-03-13 10:52 UTC, Kerry
no flags Details
File: maps (39.40 KB, text/plain)
2012-03-13 10:52 UTC, Kerry
no flags Details
File: backtrace (86.99 KB, text/plain)
2012-03-13 10:52 UTC, Kerry
no flags Details

Description Kerry 2012-03-13 10:52:38 UTC
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        texmaker
comment:        Cut a section of text and hit delete. Texmaker froze for a while then disappeared.
crash_function: QTextLine::cursorToX
executable:     /usr/bin/texmaker
kernel:         3.2.2-1.fc16.i686.PAE
pid:            22183
pwd:            /home/nice
reason:         Process /usr/bin/texmaker was killed by signal 11 (SIGSEGV)
time:           Tue 13 Mar 2012 21:30:51 EST
uid:            500
username:       nice

backtrace:      Text file, 89077 bytes
build_ids:      Text file, 5535 bytes
dso_list:       Text file, 12531 bytes
environ:        Text file, 4588 bytes
maps:           Text file, 40350 bytes

var_log_messages:
:Mar 13 21:30:50 politemadness kernel: [928942.024597] texmaker[22183]: segfault at 0 ip 4569b109 sp bf814ee0 error 4 in libQtGui.so.4.8.0[452a3000+abd000]
:Mar 13 21:32:37 politemadness abrt[4112]: Saved core dump of pid 22183 (/usr/bin/texmaker) to /var/spool/abrt/ccpp-2012-03-13-21:30:51-22183 (255938560 bytes)

Comment 1 Kerry 2012-03-13 10:52:42 UTC
Created attachment 569635 [details]
File: dso_list

Comment 2 Kerry 2012-03-13 10:52:44 UTC
Created attachment 569636 [details]
File: environ

Comment 3 Kerry 2012-03-13 10:52:46 UTC
Created attachment 569637 [details]
File: build_ids

Comment 4 Kerry 2012-03-13 10:52:48 UTC
Created attachment 569638 [details]
File: maps

Comment 5 Kerry 2012-03-13 10:52:51 UTC
Created attachment 569639 [details]
File: backtrace

Comment 6 Fedora Update System 2012-09-21 00:08:59 UTC
texmaker-3.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/texmaker-3.5-1.fc17

Comment 7 Fedora Update System 2012-09-21 00:09:49 UTC
texmaker-3.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/texmaker-3.5-1.fc16

Comment 8 Fedora Update System 2012-09-21 00:10:32 UTC
texmaker-3.5-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/texmaker-3.5-1.fc18

Comment 9 Fedora Update System 2012-09-21 23:53:23 UTC
Package texmaker-3.5-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing texmaker-3.5-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14438/texmaker-3.5-1.fc17
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2012-09-25 16:36:53 UTC
texmaker-3.5-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.